<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.MoveNext Method (LockingInfo)
JoinCursor Class See Also Send Feedback

Iterate over the values associated with the keys to which each SecondaryCursor passed to Join(array<SecondaryCursor>[]()[], Boolean) was initialized. Any data value that appears in all SecondaryCursors is then used as a key into the primary, and the key/data pair found in the primary is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNext(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNext ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNext(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

JoinCursor Class
MoveNext Overload
BerkeleyDB Namespace